#!/bin/bash

	if grep -q raspberrypi /etc/hostname; then
	  echo "You still have the default hostname set.  We recommend changing the"
    echo "hostname so that your Pi can be uniquely identified."
	  echo "If you wish to change it, enter a new hostname now, otherwise"
	  echo -n "just press Return: "
	  read NEW_HOSTNAME
	  if [ ! -z "$NEW_HOSTNAME" ]; then
	    echo "$NEW_HOSTNAME" > /tmp/HOSTNAME.$$
	    sudo rm -f /etc/hostname
      sudo mv /tmp/HOSTNAME.$$ /etc/hostname
	    sudo chown root:root /etc/hostname
	    sudo chmod 644 /etc/hostname
      sudo /etc/init.d/hostname.sh
	  fi
	fi
